---
title: TypedArray.prototype.lastIndexOf()
slug: Web/JavaScript/Reference/Global_Objects/TypedArray/lastIndexOf
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - TypedArray
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <code><strong>lastIndexOf()</strong></code> method returns the last index at which a given element can be found in the typed array, or -1 if it is not present. The typed array is searched backwards, starting at <code>fromIndex</code>. This method has the same algorithm as {{jsxref("Array.prototype.lastIndexOf()")}}. <em>TypedArray</em> is one of the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypedArray#TypedArray_objects">typed array types</a> here.</p>

<div>{{EmbedInteractiveExample("pages/js/typedarray-lastindexof.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>typedarray</var>.lastIndexOf(<var>searchElement</var>[, <var>fromIndex</var> = typedarray.length])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>searchElement</var></code></dt>
 <dd>Element to locate in the typed array.</dd>
 <dt><code><var>fromIndex</var></code></dt>
 <dd>Optional. The index at which to start searching backwards. Defaults to the typed array's length, i.e. the whole typed array will be searched. If the index is greater than or equal to the length of the typed array, the whole typed array will be searched. If negative, it is taken as the offset from the end of the typed array. Note that even when the index is negative, the typed array is still searched from back to front. If the calculated index is less than 0, -1 is returned, i.e. the typed array will not be searched.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The last index of the element in the array; <code>-1</code> if not found.</p>

<h2 id="Description">Description</h2>

<p><code>lastIndexOf</code> compares <code><var>searchElement</var></code> to elements of the typed array using <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Comparison_Operators#Using_the_Equality_Operators">strict equality</a> (the same method used by the ===, or triple-equals, operator).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_lastIndexOf">Using lastIndexOf</h3>

<pre class="brush: js">var uint8 = new Uint8Array([2, 5, 9, 2]);
uint8.lastIndexOf(2);     // 3
uint8.lastIndexOf(7);     // -1
uint8.lastIndexOf(2, 3);  // 3
uint8.lastIndexOf(2, 2);  // 0
uint8.lastIndexOf(2, -2); // 0
uint8.lastIndexOf(2, -1); // 3
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-%typedarray%.prototype.lastindexof', 'TypedArray.prototype.lastIndexOf')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.TypedArray.lastIndexOf")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("TypedArray.prototype.indexOf()")}}</li>
 <li>{{jsxref("Array.prototype.lastIndexOf()")}}</li>
</ul>
